'adobe'에 해당되는 글 65건

  1. 2010.04.16 Adobe Acrobat/Reader 보안 업데이트 권고
  2. 2009.07.24 Adobe Flash Player/Acrobat/Reader 신규 취약점 주의
2010.04.16 18:22

Adobe Acrobat/Reader 보안 업데이트 권고

□ 개요
   o Adobe社는 Adobe Reader 및 Acrobat에 영향을 주는 다수의 취약점을 해결한 보안 업데이트에
     대한 공지를 발표 [1]
   o 공격자는 해당 취약점을 악용하여 영향 받는 소프트웨어를 비정상적으로 종료시키거나,
     임의의 명령을 실행하여 시스템에 대한 권한 획득할 수 있음
   o 관련취약점 :
     - Cross-site scripting vulnerability (CVE-2010-0190)
     - Prefix protocol handler vulnerability (CVE-2010-0191)
     - Denial of service vulnerability (CVE-2010-0192, CVE-2010-0193, CVE-2010-0196)
     - Memory corruption vulnerability (CVE-2010-0194, CVE-2010-0197, CVE-2010-0201,
       CVE-2010-0204)
     - Font handling vulnerability (CVE-2010-0195)
     - Buffer overflow vulnerability (CVE-2010-0198, CVE-2010-0199, CVE-2010-0202,
       CVE-2010-0203)
     - Heap-based overflow vulnerability (CVE-2010-1241)
  o 영향 : 원격코드실행, 서비스거부
  o 중요도 : 긴급

□ 해당 시스템
   o 영향 받는 소프트웨어 [1]
     - Adobe Reader 9.3.1 및 이전 버전 (Windows, Macintosh, UNIX)
     - Adobe Acrobat 9.3.1 및 이전 버전 (Windows, Macintosh)
     - Adobe Reader 8.2.1 및 이전 버전 (Windows, Macintosh)
     - Adobe Acrobat 8.2.1 및 이전 버전 (Windows, Macintosh)

□ 해결 방안
   o 해당 소프트웨어를 Adobe Acrobat 9.3.2 및 Adobe Reader 8.2.2로 업데이트
     - Adobe Acrobat/Reader의 메뉴에서 "도움말" → "업데이트 확인"을 선택
     - Adobe 제품 업데이트 페이지[2]에서 해당 소프트웨어를 선택 후 다운로드 및 설치

□ 용어 정리
   o PDF(Portable Document Format) : Adobe社가 개발한 다양한 플랫폼을 지원하는 전자문서
     파일 형식
   o Adobe Acrobat : PDF 문서 편집/제작을 지원하는 상용 프로그램
   o Adobe Reader : PDF 문서의 편집 기능은 없이 보기/인쇄만 할 수 있는 무료 프로그램

□ 기타 문의사항
   o 한국인터넷진흥원 인터넷침해대응센터: 국번없이 118

□ 참조사이트
[1] http://www.adobe.com/support/security/bulletins/apsb10-09.html
[2] http://www.adobe.com/downloads/updates/


Trackback 0 Comment 0
2009.07.24 16:44

Adobe Flash Player/Acrobat/Reader 신규 취약점 주의

□ 개요
  o 악의적인 Flash 파일(확장자:SWF)을 재생하는 Adobe Flash Player 및 Adobe Acrobat/Reader에
     원격 코드 실행 취약점이 존재함[1,2]
  o 현재 해당 취약점을 통해 공격하는 사례가 발견되고 있으므로 사용자는 신뢰할 수 없는 사이트의
     방문을 자제하고 출처가 불분명한 PDF 파일의 열람을 자제해야 함

□ 설명 
  o Adobe社는 본 취약점에 대해 보안 권고문(Security Advisory)을 발표함[3]
    ※ 관련 CVE : CVE-2009-1862[4]
  o Adobe ActionScript Virtual Machine이 악의적으로 조작된 Flash 파일(확장자:SWF)을 처리하는
     과정에서 원격코드실행으로 연계되는 취약점임[5]
  o 공격자는 Flash 파일(확장자:SWF)을 PDF파일에 삽입하여 메일로 전송하거나 Flash 파일을
     웹사이트에 게시한 후, 사용자가 열도록 유도하여 영향 받는 시스템에 대해 사용자의 권한을
     획득할 수 있음

□ 영향 받는 시스템
  o 영향 받는 소프트웨어
    - Adobe Acrobat/Reader 9.1.2 버전
    - Adobe Acrobat/Reader 9.x 이전 버전
    - Adobe Flash Player 9.0.159.0 버전과 10.0.22.87 버전
    - Adobe Flash Player 9.x 이전 버전과 10.x 이전 버전

□ 해결 방안
  o 현재 해당 취약점에 대한 보안업데이트는 발표되지 않았음
  o KrCERT/CC와 Adobe 보안 업데이트 사이트[6]를 주기적으로 확인하여 해당 취약점에 대한 보안
    업데이트 발표 시 신속히 최신 업데이트를 적용해야함
    - 7월 30일 : 윈도우즈, 매킨토시, 리눅스 대상 Adobe Flash Player 보안 업데이트
      ※ Solaris 대상 Adobe Flash Player v9, v10 보안업데이트 일정은 미정
    - 7월 31일 : 윈도우즈, 매킨토시, 유닉스 대상 Adobe Acrobat/Reader 9.1.2 보안 업데이트
  o 취약점에 의한 피해를 줄이기 위하여 사용자는 다음과 같은 사항을 준수해야함
    - 사용하고 있는 백신프로그램의 최신 업데이트를 유지하고, 실시간 감시기능을 활성화
    - 신뢰되지 않는 웹 사이트의 방문 자제
    - 출처를 알 수 없는 링크를 방문하지 않도록 함
 
□ 용어 설명
  o Adobe ActionScript Virtual Machine : Actionscript로 구성된 Flash 파일(확장자:SWF)을 실행
     시키는 엔진
  o ActionScript : 애니메이션을 제어하기 위해 만들어진 언어

□ 참조 사이트
[1] http://www.securityfocus.com/bid/35759/
[2] http://www.kb.cert.org/vuls/id/259425
[3] http://www.adobe.com/support/security/advisories/apsa09-03.html
[4] http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-1862
[5] http://tms.symantec.com/
[6] http://www.adobe.com/support/security/

[참 고]
1. F.A.Q
   o 보안업데이트는 언제 발표되나요?
     - 공식 보안업데이트 일정은 발표되지 않았지만 발표될 경우 KrCERT/CC 홈페이지를 통해
        신속히 공지할 예정입니다.
2. 기타 문의사항
   o 한국인터넷진흥원 인터넷침해대응센터 : 국번없이 118


Trackback 0 Comment 0